%undefine _debugsource_packages
Summary:  collier - COLLIER is a fortran library for the numerical evaluation of one-loop scalar and tensor integrals 
Name: collier
Version:  1.2.4
Release:  2%{?dist}
License:  GPLv3
Prefix: %{_prefix}
URL:      https://collier.hepforge.org/
Source:   https://www.hepforge.org/archive/collier/collier-%{version}.tar.gz
Requires: fastjet fastjet-devel hoppet
BuildRequires: fastjet-devel hoppet  gcc-gfortran gcc-c++
%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8
BuildRequires: cmake >= 3.4.3
%else
BuildRequires: cmake3 >= 3.4.3
%endif

%description
 COLLIER is a fortran library for the numerical evaluation of one-loop 
 scalar and tensor integrals appearing in perturbative relativistic 
 quantum field theory with the following features: scalar and tensor 
 integrals for high particle multiplicities  dimensional regularization 
 for ultraviolet divergences dimensional regularization for soft 
 infrared divergences (mass regularization for abelian soft divergences 
 is supported as well) dimensional regularization or mass 
 regularization for collinear mass singularities complex internal 
 masses (for unstable particles) fully supported (external momenta and 
 virtualities are expected to be real) numerically dangerous regions 
 (small Gram or other kinematical determinants) cured by dedicated 
 expansions two independent implementations of all basic building 
 blocks allow for internal cross-checks cache system to speed up 
 calculations 
%prep 
%setup -q -n  COLLIER-%{version}

%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8
%cmake \
%else
%cmake3 \
%endif
-DCMAKE_INSTALL_PREFIX=%{_prefix} -DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON  -DSYSCONFIG_INSTALL_DIR=%{_prefix}/share/cmake/  .

%build

%if %{?fedora}%{!?fedora:0} 
make -C x86_64-redhat-linux-gnu
%else
make
%endif




%install
%if %{?fedora}%{!?fedora:0} 
make -C x86_64-redhat-linux-gnu install DESTDIR=%{buildroot}
%else
make install DESTDIR=%{buildroot}
%endif


%files
%defattr(-,root,root)
/usr/include/*
/usr/%_lib/*
%{_prefix}/share/cmake/*

%clean
rm -rf %{buildroot}

%post 
ldconfig 

%changelog             
* Thu Nov 23 2017 Andrii Verbytskyi andrii.verbytskyi@mpp.mpg.de
 - Initial
